--------------------------------
-- Ivan Levashew aka OCTAGRAM --
--              Barnaul, 2009 --
--------------------------------

with System; use System;
with Turbo_Private.Bits; use Turbo_Private.Bits;
with Turbo_Private.Memory.Move_Fallback;
with Interfaces; use Interfaces;

procedure Turbo_Private.Memory.Move
  (Source, Target : Address; Amount : Unsigned_Addr)
    renames Turbo_Private.Memory.Move_Fallback;
pragma Preelaborate (Turbo_Private.Memory.Move);